///////////////////////////////////////////////////////////////////////////////
//  For project details and authors, refer to "CELayoutEditor.cpp".
//
//  This file is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This file is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//  To view the licence online, go to: http://www.gnu.org/copyleft/gpl.html
////////////////////////////////////////////////////////////////////////////////

// Standard wxWidget includes
#include "wx/wx.h"
#include "DialogAbout.h"

#define BORDER            5

//--------------------------------------------------------------------------------
BEGIN_EVENT_TABLE(DialogAbout, wxDialog)
	EVT_BUTTON( ID_OK_BUTTON,	DialogAbout::OnClickOk )
END_EVENT_TABLE()

//--------------------------------------------------------------------------------------
DialogAbout::DialogAbout( wxWindow* parent )
  : wxDialog(parent, wxID_ANY, wxT("About CEImagesetEditor"), wxDefaultPosition, wxSize(300, 215)){

	wxStaticText* title = new wxStaticText(this, wxID_ANY, wxT("CEImagesetEditor"), wxDefaultPosition, wxDefaultSize, wxALIGN_CENTRE);
	wxStaticText* version = new wxStaticText(this, wxID_ANY, wxT("Version BETA"), wxDefaultPosition, wxDefaultSize, wxALIGN_CENTRE);
	wxTextCtrl* about = new wxTextCtrl(this, wxID_ANY,
		wxT("Thanks for using this imageset  editor for CEGUI.\n")
    //wxT("(http://crayzedsgui.sourceforge.net/).\n\n")
    //wxT("For more information, such as the manual, please refer to the wiki page")
    wxT("(http://www.cegui.org.uk/).\n\n")
    wxT("martignasse@free.fr")
		, wxDefaultPosition, wxDefaultSize, wxTE_MULTILINE | wxTE_READONLY | wxTE_RICH | wxTE_RICH2 | wxTE_CENTRE);

	wxButton* ok = new wxButton(this, ID_OK_BUTTON, wxT("&OK") );

  // further init controls
	wxFont font = title->GetFont();
	font.SetWeight( wxBOLD );
	title->SetFont(font);

	ok->SetDefault();

  // Size the components vertically
  wxBoxSizer* sizer = new wxBoxSizer(wxVERTICAL);
  sizer->Add(title, 0, wxEXPAND | wxALL, BORDER);
  sizer->Add(version, 0, wxEXPAND | wxALL, BORDER);
  sizer->Add(about, 1, wxEXPAND | wxALL, BORDER);
  sizer->Add(ok, 0, wxALL, BORDER);

  SetSizer(sizer);

	// centre dialog
	Centre();

  Show(true);
}

//--------------------------------------------------------------------------------------
void DialogAbout::OnClickOk( wxCommandEvent& event ) {

	Close();
}
